Package org.apache.sysds.runtime.instructions.spark.functions

## Class RecomputeNnzFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.functions.RecomputeNnzFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.FlatMapFunction<Iterator<MatrixBlock>,​Long>`

    public class RecomputeNnzFunction
    extends Object
    implements org.apache.spark.api.java.function.FlatMapFunction<Iterator<MatrixBlock>,​Long>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`RecomputeNnzFunction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<Long>` `call​(Iterator<MatrixBlock> iter)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RecomputeNnzFunction

    public RecomputeNnzFunction()

### Method Detail

#### call

    public Iterator<Long> call​(Iterator<MatrixBlock> iter)
                        throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.FlatMapFunction<Iterator<MatrixBlock>,​Long>`
Throws:
  `Exception`